1. Roles
api-security
  • Security-Api
    • Roles
      • Index
        GET
      • Create
        POST
      • Show
        GET
      • Update
        PUT
      • Delete
        DELETE
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Roles

Update

Developing
PUT
http://127.0.0.1:8000/api/roles/4
Updates the information of an existing role by its ID.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Update
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'http://127.0.0.1:8000/api/roles/4' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "name": "forensyc analyst"
}'
Response Response Example
{
    "message": "Role updated successfully",
    "data": {
        "id": 6,
        "role": "forensic analyst"
    }
}
Modified at 2026-06-22 12:01:16
Previous
Show
Next
Delete
Built with